Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/sites/$site/categories/new |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID, The site domain |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| name | (string) | Name of the category |
| description | (string) | A description of the category |
| parent | (id) | ID of the parent category |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The category ID. |
| name | (string) | The name of the category. |
| slug | (string) | The slug of the category. |
| description | (string) | The description of the category. |
| post_count | (int) | The number of posts using this category. |
| parent | (int) | The parent ID for the category. |
| meta | (object) | Meta data |
Example
cURL
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'name=Puppies' \ 'https://public-api.wordpress.com/rest/v1/sites/30434183/categories/new/'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' => http_build_query(
array (
'name' => 'Puppies',
)
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/categories/new/',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"name": "Puppies",
"slug": "puppies",
"description": "",
"post_count": 0,
"meta": {
"links": {
"self": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/tags\/puppies",
"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/tags\/puppies\/help",
"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183"
}
}
}